## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%bcond tests 1

Name:           python-loguru
Version:        0.7.3
Release:        %autorelease
Summary:        Python logging made (stupidly) simple

License:        MIT
URL:            https://github.com/Delgan/loguru
# The GitHub archive contains CHANGELOG.rst, which the PyPI sdist lacks.
Source:         %{url}/archive/%{version}/loguru-%{version}.tar.gz

# Test against Python 3.12 (non-dev) and 3.13 (dev) (#1079)
# https://github.com/Delgan/loguru/commit/9311c763bb3528f87c3c5a13a25ec7387f2cc545
#
# Fixes Python 3.13 compatibility.
Patch:          %{url}/commit/9311c763bb3528f87c3c5a13a25ec7387f2cc545.patch

# Fix tests for Python 3.14 dev
# https://github.com/Delgan/loguru/commit/3a901de465b0dbb398f455dc3393d976fd0affbe
#
# Fixes Python 3.14 compatibility.
Patch:          %{url}/commit/3a901de465b0dbb398f455dc3393d976fd0affbe.patch

BuildArch:      noarch

BuildRequires:  python3-devel

# The dev extra pins exact versions and includes unwanted coverage tools etc.
# (https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#_linters), 
# and developer tools, so we enumerate test dependencies manually:
BuildRequires:  %{py3_dist colorama}
BuildRequires:  %{py3_dist freezegun}
BuildRequires:  %{py3_dist pytest}

# Normally we should not depend on typecheckers or linters, but the test that
# uses mypy is simply confirming that the stub file is valid and usable. That
# seems OK. Alternatively, we could pass --ignore=tests/test_type_hinting.py to
# %%pytest.
BuildRequires:  %{py3_dist mypy}

%global common_description %{expand:
Loguru is a library which aims to bring enjoyable logging in Python.}

%description %{common_description}


%package -n     python3-loguru
Summary:        %{summary}

%description -n python3-loguru %{common_description}


%prep
%autosetup -n loguru-%{version} -p1


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files -l loguru


%check
%pyproject_check_import
%if %{with tests}
# Make sure we don’t run the detailed typing tests; see
# https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#_linters
ignore="${ignore-} --ignore=tests/typesafety/test_logger.yml"

%pytest ${ignore-} -rs
%endif


%files -n python3-loguru -f %{pyproject_files}
%doc CHANGELOG.rst
%doc README.rst


%changelog
## START: Generated by rpmautospec
* Fri Dec 06 2024 Packit <hello@packit.dev> - 0.7.3-1
- Update to 0.7.3 upstream release
- Resolves: rhbz#2330770

* Mon Nov 11 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.7.2-3
- Patch for Python 3.14; fixes RHBZ#2325199

* Sat Aug 31 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.7.2-1
- Initial package (close RHBZ#2307475)
## END: Generated by rpmautospec
